> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Destinations

> List the destinations in the user's workspace



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /destinations
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /destinations:
    get:
      summary: List Destinations
      description: List the destinations in the user's workspace
      operationId: ListDestination
      parameters:
        - description: Filter based on the destination's name
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: Filter based on destination's slug
          in: query
          name: slug
          required: false
          schema:
            type: string
        - description: set the offset on results (for pagination)
          in: query
          name: offset
          required: false
          schema:
            default: 0
            format: double
            type: number
        - description: limit the number of objects returned (default is 100)
          in: query
          name: limit
          required: false
          schema:
            default: 100
            format: double
            type: number
        - description: Order the returned destinations
          in: query
          name: orderBy
          required: false
          schema:
            default: id
            type: string
            enum:
              - id
              - name
              - slug
              - createdAt
              - updatedAt
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Destination'
                    type: array
                required:
                  - data
                type: object
              examples:
                Example 1:
                  value:
                    data:
                      - id: 1
                        name: testdestination1
                        slug: testdestination1
                        workspaceId: 1
                        createdAt: '2022-02-16T21:37:58.510Z'
                        updatedAt: '2022-02-16T21:37:58.510Z'
                        type: salesforce
                        syncs:
                          - 1
                          - 2
                        configuration:
                          hostname: foo
                          region: bar
                      - id: 2
                        name: testdestination2
                        slug: testdestination2
                        workspaceId: 1
                        createdAt: '2022-02-16T21:37:58.510Z'
                        updatedAt: '2022-02-16T21:37:58.510Z'
                        type: hubspot
                        syncs:
                          - 1
                          - 2
                        configuration:
                          hostname: foo
                          region: bar
                    hasMore: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    Destination:
      description: >-
        The service receiving your data (e.g. Salesforce, Hubspot, Customer.io,
        or a

        SFTP server)
      properties:
        id:
          type: number
          format: double
          description: The destination's id
        name:
          type: string
          description: The destination's name
        slug:
          type: string
          description: The destination's slug
        workspaceId:
          type: number
          format: double
          description: The id of the workspace that the destination belongs to
        createdAt:
          type: string
          format: date-time
          description: The timestamp when the destination was created
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the destination was last updated
        type:
          type: string
          description: The destination's type (e.g. salesforce or hubspot).
        configuration:
          properties: {}
          additionalProperties: {}
          type: object
          description: >-
            The destination's configuration. This specifies general metadata
            about destination, like hostname and username.

            Hightouch will be using this configuration to connect to
            destination.


            The schema depends on the destination type.


            Consumers should NOT make assumptions on the contents of the

            configuration. It may change as Hightouch updates its internal code.
        syncs:
          items:
            type: number
            format: double
          type: array
          description: A list of syncs that sync to this destination.
      required:
        - id
        - name
        - slug
        - workspaceId
        - createdAt
        - updatedAt
        - type
        - configuration
        - syncs
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````